Loading...
Searching...
No Matches
LayerModel Class Reference

UI for the layer dock.

`#include <avogadro/qtgui/layermodel.h>`

Inheritance diagram for LayerModel:

## Public Types

enum | ColumnType { Name = 0 , Menu = 1 , Visible = 2 , Lock = 3 , Remove = 5 }

## Public Slots

void | updateRows ()

## Public Member Functions

| LayerModel (QObject *p=nullptr)
void | loadIcons (bool darkMode)
QModelIndex | parent (const QModelIndex &child) const override
int | rowCount (const QModelIndex &parent) const override
int | columnCount (const QModelIndex &parent) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
QVariant | data (const QModelIndex &index, int role) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
void | addItem ()
void | addLayer (RWMolecule *rwmolecule)
void | addMolecule (const Molecule *mol)
void | setActiveLayer (int index, RWMolecule *rwmolecule)
void | removeItem (int row, RWMolecule *rwmolecule)
size_t | items () const
void | flipVisible (size_t row)
void | flipLocked (size_t row)
size_t | layerCount () const
Public Member Functions inherited from RWLayerManager
void | removeLayer (size_t layer, RWMolecule *rwmolecule)
void | addLayer (RWMolecule *rwmolecule)
void | setActiveLayer (size_t layer, RWMolecule *rwmolecule)
bool | visible (size_t layer) const

## Additional Inherited Members

Protected Member Functions inherited from RWLayerManager
bool | locked (size_t layer) const
void | flipVisible (size_t layer)
void | flipLocked (size_t layer)
void | addMolecule (const Core::Molecule *mol)
Core::Array< std::pair< size_t, std::string > > | activeMoleculeNames () const
Static Protected Member Functions inherited from LayerManager
static Layer & | getMoleculeLayer ()
static Layer & | getMoleculeLayer (const Molecule *mol)
static Layer & | getMoleculeLayer (const Molecule *original, const Molecule *copy)
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo ()
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo (const Molecule *mol)
static void | deleteMolecule (const Molecule *mol)
static size_t | layerCount ()
Static Protected Attributes inherited from LayerManager
static const Molecule * | m_activeMolecule
static std::map< const Molecule *, std::shared_ptr< MoleculeInfo > > | m_molToInfo

The documentation for this class was generated from the following file:

- layermodel.h